<?php if ($license): ?>
    <table class="woocommerce-table woocommerce-table--order-details shop_table order_details">
        <tr>
            <th scope="row">
                <?php echo esc_html__('License id: ', 'licensor'); ?>
            </th>
            <td>
                <?php echo esc_html($license->id); ?>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <?php echo esc_html__('Product id: ', 'licensor'); ?>
            </th>
            <td>
                <?php echo esc_html($license->productId); ?>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <?php echo esc_html__('Product name: ', 'licensor'); ?>
            </th>
            <td>
                <?php echo esc_html($license->product); ?>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <?php echo esc_html__('License domain: ', 'licensor'); ?>
            </th>
            <td>
                <?php if ($license->domain): ?>
                    <a href="<?php echo esc_url($license->domain); ?>" target="_blank">
                        <?php echo esc_html($license->domain); ?>
                    </a>
                <?php else: ?>
                    <?php echo esc_html__('The license has not yet been bound to a domain. Remember, after connecting to a domain, you can only use that domain. Or you can change the domain for 25 USD, which is a domain change fee.', 'licensor'); ?>
                <?php endif; ?>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <?php echo esc_html__('License code: ', 'licensor'); ?>
            </th>
            <td>
                <?php echo esc_html($license->licenseCode); ?>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <?php echo esc_html__('License Type: ', 'licensor'); ?>
            </th>
            <td>
                <?php 
                    
                    $licenseTypeEnums = $this->setting('licenseTypeEnums');
                    $licenseTypeEnumIndex = array_search($license->licenseType, array_column($licenseTypeEnums, 'number'));
                    echo $licenseTypeEnums[$licenseTypeEnumIndex]['licenseType'] ?? esc_html__('Undefined', 'licensor');
                ?>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <?php echo esc_html__('License status: ', 'licensor'); ?>
            </th>
            <td>
                <?php if ($license->status == 1) : esc_html_e('Active', 'licensor'); else: esc_html_e('Deactive', 'licensor'); endif; ?>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <?php echo esc_html__('Purchased: ', 'licensor'); ?>
            </th>
            <td>
                <?php echo esc_html(date_i18n(get_option('date_format'), strtotime($license->soldAt))); ?>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <?php echo esc_html__('License expire time: ', 'licensor'); ?>
            </th>
            <td>
                <?php if ($license->expireTime) : ?>
                    <?php echo esc_html(date_i18n(get_option('date_format'), strtotime($license->expireTime))); ?>
                <?php else: ?>
                    <?php esc_html_e('Never', 'licensor'); ?>
                <?php endif; ?>
            </td>
        </tr>
    </table>
<?php endif; ?>